let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { BiobaseENA = H.callHackage "BiobaseENA" "0.0.0.2"
      , BiobaseTypes = H.callHackage "BiobaseTypes" "0.2.1.0"
      , DPutils = H.callHackage "DPutils" "0.1.1.0"
      , ForestStructures = H.callHackage "ForestStructures" "0.0.1.0"
      , Octree = H.callHackage "Octree" "0.6.0.1"
      , OrderedBits = H.callHackage "OrderedBits" "0.0.2.0"
      , PrimitiveArray = H.callHackage "PrimitiveArray" "0.9.0.0"
      , SciBaseTypes = H.callHackage "SciBaseTypes" "0.1.1.0"
      , bimaps = H.callHackage "bimaps" "0.1.0.2"
      , biocore = H.callHackage "biocore" "0.3.1"
      , bits = H.callHackage "bits" "0.6"
      , blastxml = H.callHackage "blastxml" "0.3.2"
      , cereal-text = H.callHackage "cereal-text" "0.1.0.2"
      , fgl = H.callHackage "fgl" "5.8.1.1"
      , hPDB = H.callHackage "hPDB" "1.5.0.0"
      , intern = H.callHackage "intern" "0.9.4"
      , iterable = H.callHackage "iterable" "3.0"
      , log-domain = H.callHackage "log-domain" "0.13.2"
      , memexml = H.callHackage "memexml" "0.0.3"
      , microbench = H.callHackage "microbench" "0.1"
      , mmap = H.callHackage "mmap" "0.5.9"
      , pipes = H.callHackage "pipes" "4.3.16"
      , pipes-bytestring = H.callHackage "pipes-bytestring" "2.1.7"
      , pipes-group = H.callHackage "pipes-group" "1.0.12"
      , pipes-parse = H.callHackage "pipes-parse" "3.0.9"
      , streaming = H.callHackage "streaming" "0.2.4.0"
      , streaming-bytestring = H.callHackage "streaming-bytestring" "0.3.1"
      , stringable = H.callHackage "stringable" "0.1.3"
      , stringsearch = H.callHackage "stringsearch" "0.3.6.6"
      , text-binary = H.callHackage "text-binary" "0.2.1.1"
      , timeit = H.callHackage "timeit" "2.0"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.8.1", packages = toMap packages }
      }
